Subject: Re: bug#24432: 25.1; tramp-cleanup-connection is not removing connection from completion list.

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 14 Sep 2016 16:22:31 +0200

Thierry Volpiatto <[email-masked]> writes:

> Michael Albinus <[email-masked]> writes:
>
>> Thierry Volpiatto <[email-masked]> writes:
>>
>>> Hi Michael, and thanks for quick answer.
>>
>> Hi Thierry,
>>
>>> Now after starting this new emacs session with emacs-25.1.50.1 and enabling
>>> a tramp connection with C-x C-f /sudo::, I have now in the completion
>>> list the old connections of previous emacs session but not the current
>>> one (/sudo:root@dell-14z:):
>>
>> Oops, I've overlooked one place to fix. Pls try it, again.
>
> Now after a "/sudo::" I have nothing, M-x tramp-cleanup-connection send
> message "No Tramp connection found" and the tramp buffers are not
> killed, nor the "*tramp/sudo root@dell-14z*" process.

Note that M-x tramp-cleanup-all-connections is working fine as expected.

-- 
Thierry